package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussAdminRecode;
import com.chaozhanggui.dao.system.entity.TbPlussAdminRecodeWithBLOBs;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussAdminRecodeMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussAdminRecodeWithBLOBs record);

    int insertSelective(TbPlussAdminRecodeWithBLOBs record);

    TbPlussAdminRecodeWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussAdminRecodeWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(TbPlussAdminRecodeWithBLOBs record);

    int updateByPrimaryKey(TbPlussAdminRecode record);
}